PAPI_get_hardware_info(3)

NAME
PAPI_get_hardware_info - get information about the system hardware

SYNOPSIS

Detailed Description

In C, this function returns a pointer to a structure containing information about the hardware on which the program runs. In Fortran, the values of the structure are returned explicitly.

Return values
    PAPI_EINVAL One or more of the arguments is invalid.

Note
    The C structure contains detailed information about cache and TLB sizes. This information is not available from Fortran.

Examples:

    const PAPI_hw_info_t *hwinfo = NULL;
    if (PAPI_library_init(PAPI_VER_CURRENT) != PAPI_VER_CURRENT)
    exit(1);
    if ((hwinfo = PAPI_get_hardware_info()) == NULL)
    exit(1);
    printf("%d CPUs at %f Mhz.\en",hwinfo->totalcpus,hwinfo->mhz);

See also
    PAPI_hw_info_t

    PAPI_get_executable_info, PAPI_get_opt, PAPI_get_dmem_info, PAPI_library_init

Author

Generated automatically by Doxygen for PAPI from the source code.